summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2019-09-28 02:02:14 +0000
committerMike Gilbert <floppym@gentoo.org>2019-09-28 22:56:12 -0400
commit9197f5d0d6299d66d87c54b8c9f8aed2c1aa18e0 (patch)
tree5b4acbdd3ecd5763c76c1f35a826bfecb7b7b15d
parentapp-i18n/anthy: Use EAPI="7". (diff)
downloadgentoo-9197f5d0d6299d66d87c54b8c9f8aed2c1aa18e0.tar.gz
gentoo-9197f5d0d6299d66d87c54b8c9f8aed2c1aa18e0.tar.bz2
gentoo-9197f5d0d6299d66d87c54b8c9f8aed2c1aa18e0.zip
dev-libs/marisa: Version bump (0.2.5).
Drop support for Python 2.7. Bug: https://bugs.gentoo.org/695004 Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org> Signed-off-by: Mike Gilbert <floppym@gentoo.org>
-rw-r--r--dev-libs/marisa/Manifest1
-rw-r--r--dev-libs/marisa/marisa-0.2.5.ebuild106
2 files changed, 107 insertions, 0 deletions
diff --git a/dev-libs/marisa/Manifest b/dev-libs/marisa/Manifest
index 2939d5c5499..816030c1f7a 100644
--- a/dev-libs/marisa/Manifest
+++ b/dev-libs/marisa/Manifest
@@ -1 +1,2 @@
DIST marisa-0.2.4.tar.gz 502552 BLAKE2B aa8e6ce11c35db41f386d1c5d3ffdf56a940f298e10a7f6b1fa14cb80c27c9c4af1d4d61c58786f96e9598effe26379127c69b8fe72b1ca561a44ee2b9cddc61 SHA512 71aee3ae034d1ce725d986bef43472d61bd64f0af3ccda01bb019cce03f0872629b6a1b305e717056bef06e036372323b2a67e5dc69705d6a74e028b5e2553e4
+DIST marisa-0.2.5.tar.gz 167434 BLAKE2B 2b88e9f0060529c2180400290bb975a946666f58f77f7604cf3ea8ae0ad7e44e0d95e18c8911d9630561b9593eb2ec123b5c67d6d195dab480d86fe431ce2531 SHA512 62975a2dacd2a1072c990cd490f866cd5483c069c94a4706baf3ffc21ec43991583a8ef8721c3b841617b0654cbb894698c19759ff12b8887b6fd28939dfb547
diff --git a/dev-libs/marisa/marisa-0.2.5.ebuild b/dev-libs/marisa/marisa-0.2.5.ebuild
new file mode 100644
index 00000000000..e7ec8bf4f0d
--- /dev/null
+++ b/dev-libs/marisa/marisa-0.2.5.ebuild
@@ -0,0 +1,106 @@
+# Copyright 2014-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=(python{3_6,3_7})
+DISTUTILS_OPTIONAL="1"
+
+inherit autotools distutils-r1
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/s-yata/marisa-trie"
+fi
+
+DESCRIPTION="Matching Algorithm with Recursively Implemented StorAge"
+HOMEPAGE="https://github.com/s-yata/marisa-trie https://code.google.com/archive/p/marisa-trie/"
+if [[ "${PV}" == "9999" ]]; then
+ SRC_URI=""
+else
+ SRC_URI="https://github.com/s-yata/marisa-trie/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="|| ( BSD-2 LGPL-2.1+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="cpu_flags_x86_sse2 cpu_flags_x86_sse3 cpu_flags_x86_ssse3 cpu_flags_x86_sse4_1 cpu_flags_x86_sse4_2 cpu_flags_x86_sse4a cpu_flags_x86_popcnt python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+ cpu_flags_x86_sse3? ( cpu_flags_x86_sse2 )
+ cpu_flags_x86_ssse3? ( cpu_flags_x86_sse3 )
+ cpu_flags_x86_sse4_1? ( cpu_flags_x86_ssse3 )
+ cpu_flags_x86_sse4_2? ( cpu_flags_x86_popcnt cpu_flags_x86_sse4_1 )
+ cpu_flags_x86_sse4a? ( cpu_flags_x86_popcnt cpu_flags_x86_sse3 )
+ cpu_flags_x86_popcnt? ( cpu_flags_x86_sse3 )"
+
+BDEPEND="python? (
+ ${PYTHON_DEPS}
+ dev-lang/swig
+ )"
+DEPEND="python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}"
+
+if [[ "${PV}" != "9999" ]]; then
+ S="${WORKDIR}/marisa-trie-${PV}"
+fi
+
+src_prepare() {
+ default
+ eautoreconf
+
+ sed -e "s:^\([[:space:]]*\)libraries=:\1include_dirs=[\"../../include\"],\n\1library_dirs=[\"../../lib/marisa/.libs\"],\n&:" -i bindings/python/setup.py || die
+
+ if use python; then
+ pushd bindings/python > /dev/null || die
+ distutils-r1_src_prepare
+ popd > /dev/null || die
+ fi
+}
+
+src_configure() {
+ local options=(
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable cpu_flags_x86_sse3 sse3)
+ $(use_enable cpu_flags_x86_ssse3 ssse3)
+ $(use_enable cpu_flags_x86_sse4_1 sse4.1)
+ $(use_enable cpu_flags_x86_sse4_2 sse4.2)
+ $(use_enable cpu_flags_x86_sse4a sse4a)
+ $(use_enable cpu_flags_x86_popcnt popcnt)
+ $(use_enable static-libs static)
+ )
+
+ econf "${options[@]}"
+
+ if use python; then
+ pushd bindings/python > /dev/null || die
+ distutils-r1_src_configure
+ popd > /dev/null || die
+ fi
+}
+
+src_compile() {
+ default
+
+ if use python; then
+ emake -C bindings swig-python
+ pushd bindings/python > /dev/null || die
+ distutils-r1_src_compile
+ popd > /dev/null || die
+ fi
+}
+
+src_install() {
+ default
+ find "${D}" -name "*.la" -type f -delete || die
+
+ (
+ docinto html
+ dodoc docs/*
+ )
+
+ if use python; then
+ pushd bindings/python > /dev/null || die
+ distutils-r1_src_install
+ popd > /dev/null || die
+ fi
+}